package com.bcxin.risk.policy.enums;

/**
 * @author LeeJungHyun
 **/
public enum PaymentMethod {

	// 现金
	CASH(1), // should be //
	// 支票
	CHECK(2),
	// 客户银行转账
	CUSTOMER_BANK_TRANSFER(3),
	// 业务员银行转账
	SALESMAN_BANK_TRANSFER(4),
	// 普通内容转账
	COMMON_INTERNAL_TRANSFER(5),
	// 保险公司支付
	INSURANCE_COMPANY_PAY(6),
	// 银行代理代收
	BANK_AGENT_RECEIVING(7),

	CREDIT_CARD(8), // should be //

	DC(9),

	BANK_BOOK(10), // should be //

	EBANKING(11),

	POS(12);// should be //

	private PaymentMethod(int code) {
		this.code = code;
	}

	private int code;

	public Integer code() {
		return code;
	}

}
